com.ihr.xbrl.pojo.etl

## Class Extraction

- java.lang.Object
- - com.ihr.xbrl.pojo.etl.Extraction

-     public class Extraction
      extends java.lang.Object

  POJO class matching the data model for one extraction job.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Extraction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getColname()` Gets the colname.
    `XBRLConcept` | `getConceptID()` Gets the concept id.
    `java.lang.Integer` | `getDataType()` Returns an integer indicating characteristics of the reported fact in a bitfield structure: the lsb (less significant bit) bit is bit number 0: Bit 0: False if Tuple, True if Item Bit 1: False if non abstract, True if abstract Bit 2: Reserved for future use (Numeric, Fraction) Bits 3-6, on Item only: 0000 -> String, 0001 -> Any Number (in double precision), others are unused Bit 10: 1 if FactId, 0 to use Bits from 3 to 6 to link with the proper table .
    `java.util.Set<ExtractionDims>` | `getExtractiondims()` Gets the extractiondims.
    `java.lang.Long` | `getId()` Gets the id.
    `java.lang.String` | `getTname()` Gets the tname.
    `int` | `hashCode()`
    `void` | `setColname(java.lang.String colname)` Sets the colname.
    `void` | `setConceptID(XBRLConcept conceptID)` Sets the concept id.
    `void` | `setDataType(java.lang.Integer dataType)` Sets the data type.
    `void` | `setExtractiondims(java.util.Set<ExtractionDims> extractiondims)` Sets the extractiondims.
    `void` | `setId(java.lang.Long id)` Sets the id.
    `void` | `setTname(java.lang.String tname)` Sets the tname.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Extraction

          public Extraction()

  - ### Method Detail

    - #### getId

          public java.lang.Long getId()

      Gets the id.
      Returns:
        the id

    - #### setId

          public void setId(java.lang.Long id)

      Sets the id.
      Parameters:
        `id` - the id to set

    - #### getConceptID

          public XBRLConcept getConceptID()

      Gets the concept id.
      Returns:
        the conceptID

    - #### setConceptID

          public void setConceptID(XBRLConcept conceptID)

      Sets the concept id.
      Parameters:
        `conceptID` - the conceptID to set

    - #### getTname

          public java.lang.String getTname()

      Gets the tname.
      Returns:
        the tname

    - #### setTname

          public void setTname(java.lang.String tname)

      Sets the tname.
      Parameters:
        `tname` - the tname to set

    - #### getColname

          public java.lang.String getColname()

      Gets the colname.
      Returns:
        the colname

    - #### setColname

          public void setColname(java.lang.String colname)

      Sets the colname.
      Parameters:
        `colname` - the colname to set

    - #### getExtractiondims

          public java.util.Set<ExtractionDims> getExtractiondims()

      Gets the extractiondims.
      Returns:
        the extractiondims

    - #### setExtractiondims

          public void setExtractiondims(java.util.Set<ExtractionDims> extractiondims)

      Sets the extractiondims.
      Parameters:
        `extractiondims` - the extractiondims to set

    - #### getDataType

          public java.lang.Integer getDataType()

      Returns an integer indicating characteristics of the reported fact in a bitfield structure: the lsb (less significant bit) bit is bit number 0:

      1. Bit 0: False if Tuple, True if Item
      2. Bit 1: False if non abstract, True if abstract
      3. Bit 2: Reserved for future use (Numeric, Fraction)
      4. Bits 3-6, on Item only: 0000 -> String, 0001 -> Any Number (in double precision), others are unused
      5. Bit 10: 1 if FactId, 0 to use Bits from 3 to 6 to link with the proper table
      .
      Returns:
        the dataType

    - #### setDataType

          public void setDataType(java.lang.Integer dataType)

      Sets the data type.
      Parameters:
        `dataType` - the dataType to set

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`